### Method

# Gio SimpleProxyResolver set_ignore_hosts

since: 2.36

#### Declaration [src]

    void
    g_simple_proxy_resolver_set_ignore_hosts (
      GSimpleProxyResolver* resolver,
      gchar** ignore_hosts
    )

#### Description [src]

Sets the list of ignored hosts.

See `GSimpleProxyResolver:ignore-hosts` for more details on how the `ignore_hosts` argument is interpreted.

Available since: 2.36

Sets property | `Gio.SimpleProxyResolver:ignore-hosts`

#### Parameters

`ignore_hosts`

  Type: An array of `gchar*`

  `NULL`-terminated list of hosts/IP addresses to not use a proxy for.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.